#
# spec file for package perl-Wx
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Wx
Version:        0.9932
Release:        4.5
%define cpan_name Wx
Summary:        Interface to the Wxwidgets Cross-Platform Gui Toolkit
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Wx/
Source0:        https://cpan.metacpan.org/authors/id/M/MD/MDOOTSON/%{cpan_name}-%{version}.tar.gz
Source1:        perl-Wx-rpmlintrc
Source2:        cpanspec.yml
Patch0:         0001-Sort-output-of-dumped-dictionaries-for-reproducible-.patch
Patch1:         0002-Provide-overload-methods-to-XSpp-in-sorted-order.patch
Patch2:         0003-Define-overload-constants-in-sorted-order.patch
Patch3:         0004-Define-enum-values-in-sorted-order.patch
Patch4:         0001-fix-incomplete-Wx_Exp.pm-due-to-missing-dependecy-in.patch
Patch5:         fix_wxWidgets_3_0_3_API_break.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Alien::wxWidgets) >= 0.25
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.46
BuildRequires:  perl(ExtUtils::ParseXS) >= 3.15
BuildRequires:  perl(ExtUtils::XSpp) >= 0.1602
Requires:       perl(Alien::wxWidgets) >= 0.25
Requires:       perl(ExtUtils::MakeMaker) >= 6.46
Requires:       perl(ExtUtils::ParseXS) >= 3.15
Requires:       perl(ExtUtils::XSpp) >= 0.1602
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  gcc-c++
BuildRequires:  wxWidgets-3_0-nostl-devel
%if 0%{?suse_version} <= 1500
# Since WxWidgets 3.0.4, the full version is encoded in the soname
Requires:       %(rpmqpack | grep libwx_baseu-suse-nostl)
%endif
BuildRequires:  xspp
# MANUAL END

%description
The Wx module is a wrapper for the wxWidgets (formerly known as wxWindows)
GUI toolkit.

This module comes with extensive documentation in HTML format; you can
download it from http://wxperl.sourceforge.net/

%prep
%autosetup -p1 -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
# MANUAL no testing (needs X)
#%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes docs README.txt samples typemap.tmpl typemap.xsp wxpl.ico wxpl.xpm Wx.rc

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Wed Jun 13 2018 stefan.bruens@rwth-aachen.de
- No need to add an explicit Requires specifying the version, as the
  soname on SUSE includes the full version since WxWidgets 3.0.4
- Drop conditionals handling obsolete releases, or releases lacking
  the dependencies (e.g. SLE 11).
- Reproducible build:
  * Add 0003-Define-overload-constants-in-sorted-order.patch
  * Add 0004-Define-enum-values-in-sorted-order.patch
* Mon May 28 2018 christophe@krop.fr
- Fix the wxWidgets requirements. Instead of listing each version
  for every *SUSE flavor, we're now calling rpmqpack to find the
  correct dependency.
- Update cpanspec.yml accordingly.
* Thu Jul  6 2017 stefan.bruens@rwth-aachen.de
- Fix wxWidgets runtime Require to actually existing package
* Mon Jun 26 2017 stefan.bruens@rwth-aachen.de
- Add fix_wxWidgets_3_0_3_API_break.patch
  wxPropertySheetDialog::SetInnerSize was renamed to SetInnerSizer,
  expose old and new name on Perl side
- Set Requires and BuildRequires to force matching build and
  runtime wxWigets versions.
* Thu May 25 2017 coolo@suse.com
- updated to 0.9932
  see /usr/share/doc/packages/perl-Wx/Changes
  0.9932 Tue Apr 18 2017
  - fix build for Perl 5.25.11 ( . no longer in @INC )
  - RT:121224 - fixes broken 0.9930 commit for keycode constants
  - RT:120657 revert changes for this fro 0.9929
  0.9931 Mon Apr 17 2017
  - really skip Strawberry 64 bit build test failure
  0.9930 Mon Apr 17 2017
  - Refactor wxTreeList
  - RT:119059 some missing keycode constants
  - skip Strawberry 64 bit build test failure
  - Fix none latin paths in @INC on Windows
  0.9929 Sat Apr 8 2017
  - Fix current OSX builds
  - RT:115097 remove encoding pragma
  - RT:120657 for Wx_Exp.pm exports incomplete
  - RT:105467 Unescaped left brace in regex
  - RT:120139 support wxScrolledWindow::ShowScrollbars
* Sun Mar 19 2017 stefan.bruens@rwth-aachen.de
- Add 0001-Sort-output-of-dumped-dictionaries-for-reproducible-.patch:
  sort config dictionaries to make builds deterministic
- Add 0002-Provide-overload-methods-to-XSpp-in-sorted-order.patch:
  Feed sorted output to XSpp
- Add 0001-fix-incomplete-Wx_Exp.pm-due-to-missing-dependecy-in.patch:
  Wx_Exp.pm was incomplete, as the generator script was run to early
  Fixes https://rt.cpan.org/Public/Bug/Display.html?id=120657
* Sun Nov 13 2016 stefan.bruens@rwth-aachen.de
- updated wxWidgets requirements from 2.8 to 3.0 for
  distribution versions providing wxWidgets-3_0-nostl.
* Sat Dec 26 2015 coolo@suse.com
- updated to 0.9928
  see /usr/share/doc/packages/perl-Wx/Changes
  0.9928 Sun Dec 20 2015
  - Fix memory leak in Wx::Timer
* Wed Apr 15 2015 coolo@suse.com
- updated to 0.9927
  see /usr/share/doc/packages/perl-Wx/Changes
  0.9927 Thu Mar 26 2015
  - Fix broken wxWidgets 2.8 builds
  0.9926 Tue Mar 10 2015
  - pause indexing fix
  0.9925 Tue Mar 10 2015
  - pause indexing fix
  0.9924 Tue Mar 10 2015
  - added wxTimer::StartOnce
  - some missing wxGrid constants added
  - fixed Wx::AUI events broken since wxWidgets 2.9.5
  - rt96136 - added GetContentScaleFactor to Wx::DC && Wx::Window
  - rt99038 - MACOSX_DEPLOYMENT_TARGET comparison fixed in Wx build
  - wxMenuItem::SetBitmap available on OSX
  - added some missing TextEntry methods to wxComboBox
  - rt102269 - fix option handling
* Sun Jun  8 2014 coolo@suse.com
- updated to 0.9923
  - Remove force of static binding for mingw libgcc & libstdc++
  0.9902 Thu Oct 13 08:00:00 BST 2011
  - 2.9.2 will now build with recent mingw compilers (>= gcc 4.5.2)
  - Fixed MSVC6 build (broken in 0.9702)
  - wrapped wxLogChain::DetachOldLog
  - added wxDF_UNICODETEXT
  - added wxMediaCtrl constants for all events
  0.9901 Mon June 06 12:00:00 BST 2011
  - Bumped ExtUtils::XSpp dependency to 0.1602
  - added Wx::Frame::SendSizeEvent
  0.99  Thu May 05 08:00:00 BST 2011
  - Release 0.98_01 as 0.99
  0.98_01 Thu Apr 21 20:31:30 CEST 2010
  - Added wxProgressDialog::Pulse (wxWidgets 2.8)
  - Mac SetFrontProcess can be switched off for editors
    and tests using env variable. Still switched on by default.
    Added detail to Wx pod
  - Added several wxLog functions & methods + Wx::PLlog::Flush
  - Added wxDateTime::IsValid wxSplitterWindow::UpdateSize
  - fix for Wx::Locale::FindLanguageInfo / GetLanguageInfo
  - wxPli_create_evthandler added for VListBox and VScrolledWindow
  - Added OnDrawSeparator and OnDrawBackground for VListBox
  - added GradientFillConcentric & DrawLabel for wxDC
* Fri Apr 22 2011 coolo@opensuse.org
- fix permissions
* Tue Apr 12 2011 coolo@opensuse.org
- initial package 0.98
  * created by cpanspec 1.78.04
